#
# spec file for package gconf-editor
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gconf-editor
Version:        3.0.1
Release:        lp150.1.7
Summary:        An Editor for the GConf Database System
License:        GPL-2.0+
Group:          System/GUI/GNOME
Url:            http://www.gnome.org
Source:         http://download.gnome.org/sources/gconf-editor/3.0/%{name}-%{version}.tar.bz2
# PATCH-FEATURE-OPENSUSE gconf-editor-desktop.patch
Patch1:         %{name}-desktop.patch
BuildRequires:  fdupes
BuildRequires:  gconf2-devel
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  gnome-patch-translation
BuildRequires:  intltool
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(gtk+-3.0)
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%gconf_schemas_prereq

%description
Gconf-editor allows you to view and edit the values that are stored in
the gconf database. This database is used for application settings in
the GNOME Desktop Environment.

%lang_package
%prep
%setup -q
translation-update-upstream
gnome-patch-translation-prepare
%patch1
gnome-patch-translation-update

%build
%configure\
        --disable-scrollkeeper\
        --with-gconf-defaults-source=xml::%{_sysconfdir}/gconf/gconf.xml.defaults \
        --with-gconf-mandatory-source=xml::%{_sysconfdir}/gconf/gconf.xml.mandatory
make %{?jobs:-j%jobs}

%install
%makeinstall
%if 0%{?suse_version} <= 1120
%{__rm} %{buildroot}%{_datadir}/locale/en@shaw/LC_MESSAGES/*
%endif
%suse_update_desktop_file gconf-editor SystemSetup
%find_lang %{name} %{?no_lang_C}
%find_gconf_schemas
%fdupes %{buildroot}

%clean
rm -rf %{buildroot}

%pre -f %{name}.schemas_pre

%post
%desktop_database_post
%icon_theme_cache_post

%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files -f %{name}.schemas_list
%defattr (-, root, root)
%doc AUTHORS ChangeLog NEWS README
%dir %{_datadir}/gnome/
%dir %{_datadir}/gnome/help/
%dir %{_datadir}/gnome/help/%{name}/
%doc %{_datadir}/gnome/help/%{name}/C/
%dir %{_datadir}/omf/
%dir %{_datadir}/omf/%{name}/
%doc %{_datadir}/omf/%{name}/%{name}-C.omf
%{_bindir}/*
%{_datadir}/applications/gconf-editor.desktop
%{_datadir}/icons/hicolor/*/apps/gconf-editor.png
%{_datadir}/gconf-editor/
%doc %{_mandir}/man?/*.*

%files lang -f %{name}.lang

%changelog
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Mon Nov 21 2011 dimstar@opensuse.org
- Update to version 3.0.1:
  + Fix build with glib 2.31
  + Fix warnings with a11y enabled (bgo#663060)
  + Updated translations.
* Fri Oct 14 2011 sbrabec@suse.cz
- Use translation compendium gnome-patch-translation.
* Wed Jul 27 2011 vuntz@opensuse.org
- Add SystemSetup category to gconf-editor.desktop with
  %%suse_update_desktop_file, instead of doing this in
  gconf-editor-desktop.patch.
* Fri Apr 22 2011 vuntz@opensuse.org
- Remove unneeded dbus-1-glib-devel BuildRequires.
* Tue Apr  5 2011 fcrozat@novell.com
- Update to version 3.0.0:
  + Updated translations.
* Tue Mar  8 2011 fcrozat@novell.com
- Update to version 2.91.91.1:
  + Build fix
  + Port to GTK+ 3
  + Port to GDBus
  + Use new Tango icons
- Use pkgconfig(gtk+-3.0) BuildRequires instead of gtk2-devel.
* Sun Feb 13 2011 vuntz@opensuse.org
- Call relevant macros in %%post/%%postun:
  + %%desktop_database_post/postun because the package ships at
    least one desktop file.
  + %%icon_theme_cache_post/postun because the package ships themed
    icons.
- Pass %%{?no_lang_C} to %%find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.
- Change Requires of lang subpackage to Recommends, since the
  english documentation is not there anymore.
- Remove 2.x references in summaries and descriptions.
* Tue Dec 14 2010 vuntz@opensuse.org
- Own /usr/share/gnome and /usr/share/gnome/help to fix build.
* Mon Sep 27 2010 vuntz@opensuse.org
- Update to version 2.32.0:
  + Updated translations.
* Thu Aug  5 2010 vuntz@opensuse.org
- Update to version 2.31.6:
  + Add --with-gtk=2.0|3.0 configure flag, defaulting to 2.0.
  + Updated translations.
* Mon Aug  2 2010 dimstar@opensuse.org
- Update to version 2.31.5:
  + bgo#612471: Does not compile with -DGSEAL_ENABLED
  + Updated translations.
* Fri Jun  4 2010 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Tue Mar 30 2010 vuntz@opensuse.org
- Update to version 2.30.0:
  + Updated translations.
* Tue Mar 23 2010 dimstar@opensuse.org
- Remove en@shaw locale on openSUSE <= 11.2.
* Thu Mar 11 2010 dimstar@opensuse.org
- Update to version 2.29.92:
  + Don't use deprecated GTK+/GConf symbols.
  + Fix a crash.
  + updated translations.
* Tue Nov  3 2009 coolo@novell.com
- updated patches to apply with fuzz=0
* Tue Sep 22 2009 dimstar@opensuse.org
- Update to version 2.28.0:
  + Updated translations.
* Tue Aug 25 2009 vuntz@novell.com
- Update to version 2.27.91:
  + Port to PolicyKit 1.0.
  + Fix a crash.
  + Fix some refcount issues.
  + Updated translations.
- Remove PolicyKit-devel BuildRequires.
* Tue Aug  4 2009 vuntz@novell.com
- Do not package omf files twice.
* Tue Mar 17 2009 vuntz@novell.com
- Update to version 2.26.0:
  + Updated translations.
- Remove AutoReqProv: it's default now.
* Tue Feb 17 2009 mboman@suse.de
- Update to version 2.25.91:
  + New features:
  * Add preliminary support to set default/mandatory values
    with PolicyKit
  + Fixes:
  * Fix sensitivity of context menu entries for Unset,
    SetDefault and SetMandatory
  * Port to GtkTooltip
  * Enforce single-include policy for GLib and GTK+
  * Don't steal focus with the "Pattern not found" dialog
  * Drop dependency on libgnome and libgnomeui
  * Plug some memory leaks
  + Translation updates
- Add PolicyKit-devel, gconf2-devel, gtk2-devel, dbus-1-glib-devel
  to BuildRequires
- Remove docbook_4, gnome-common, gnome-doc-utils,
  gnome-patch-translation, libgnomeui-devel, libxslt,
  perl-XML-Parser from BuildRequires
- Remove --with-gconf-vendor-source from configure since it's an
  unknown parameter
- Remove gconf-editor-strict-aliasing.patch. Not needed anymore
* Mon Oct 20 2008 mboman@suse.de
- Update to version 2.24.1:
  + Add missing COPYING file and license headers.
  + Standardize .desktop file.
  + Properly unref GConfClient objects.
  + Use single header GTK+/GLib includes.
  + Translation updates
* Wed Oct  1 2008 mboman@suse.de
- Update to version 2.24.0.1:
  + Add missing license
* Tue Sep 23 2008 maw@suse.de
- Update to version 2.24.0:
  + Updated translations.
* Fri Sep 12 2008 aj@suse.de
- Fix directory ownership.
* Thu Sep  4 2008 mboman@novell.com
- Update to version 2.23.91:
  - Code cleanup (bgo#341288, bgo#341252)
  - Use themed icons (bgo#348822)
  - Fix clipped icons in the search pane (bgo#518297)
  - Use standard icon names where available
  - Updated translations
- Remove gconf-editor-vendor-defaults-support.patch. Fixed upstream.
* Tue Mar 25 2008 rodrigo@suse.de
- Upstream and tag patches
* Mon Mar 17 2008 maw@suse.de
- Fix build: run intltoolize --force.
* Fri Mar 14 2008 sbrabec@suse.cz
- Use translation compendium gnome-patch-translation.
* Fri Mar 14 2008 maw@suse.de
- Update to version 2.22.0:
  + Bugs fixed: bgo#435396 and bgo#483382.
* Wed Mar 12 2008 sbrabec@suse.cz
- Added support for editing of vendor defaults (fate#301464,
  bgo#522055).
* Thu Oct 11 2007 sbrabec@suse.cz
- Removed bogus dependency on mDNSResponder.
* Tue Sep 18 2007 sbrabec@suse.cz
- Updated to version 2.20.0:
  * Install theme friendly icons.
  * Updated translations.
* Thu Aug 30 2007 maw@suse.de
- Update to version 2.18.2:
  + Fix crashers in search
  + Code cleanups.
* Mon Aug  6 2007 maw@suse.de
- Use %%fdupes
- Split off a -lang subpackage.
* Thu May 24 2007 stbinner@suse.de
- remove X-SuSE-translate from .desktop file patch
* Thu May 10 2007 pgajdos@suse.cz
- removed gnome-icon-theme from Requires and BuildRequires
  [#247450]
* Wed Apr 11 2007 maw@suse.de
- Update to version 2.18.0
- Bring the .desktop file up to spec
- Minor build changes.
* Fri Mar  9 2007 maw@suse.de
- Update to version 2.17.0.
  * src/gconf-search.c: (gconf_tree_model_search_iter_foreach):
    Fix a double-free crashing in searchs. Fix bug #361137
  * src/gconf-editor-window.c: Re-commit the fix for
    bug #355310.
  * src/gconf-editor-window.c: Revert string change until
    we've branched.
  * src/gconf-editor-window.c: (gconf_editor_window_go_to):
    Use strrchr() instead of rindex() for portability.
    Reported by Andreas Köhler. Closes bug #355472.
  * src/gconf-editor-window.c: Remove ellipsis
    from the Unset Key menuitem as per HIG. Reported by
    Ken Harris. Closes bug #355310.
  * configure.in: Require intltool 0.35.0.
    (both these were released in the 2.15.92 tarball
    but never commited to CVS :-/)
* Thu Jan  4 2007 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Thu Oct 12 2006 ro@suse.de
- added gnome-doc-utils devel to buildreq
* Thu Sep 14 2006 jhargadon@suse.de
- update to version 2.16.0
- configure.in: Release 2.16.0
* Tue Sep  5 2006 aj@suse.de
- Cleanup BuildRequires.
* Wed Aug 23 2006 jhargadon@suse.de
- update to version 2.15.91
- Port to gnome-doc-utils
- Port to gtk+ from deprecated libgnomeui
* Thu Aug  3 2006 jhargadon@suse.de
- update to 2.14.0
- configure.in: Added translations
-  Fix button sensitivity illness on the key list dialog.
- Remove duplicated strings  and fix capitalization.
- configure.in: remove some redundant code which
  set GCONF_DEFAULTS_SOURCE with a value which was
  later overwritten.
* Fri Apr 14 2006 sbrabec@suse.cz
- Explicitly define customization databases (#166223).
* Tue Apr 11 2006 sbrabec@suse.cz
- Translate desktop file.
* Sun Feb 19 2006 stbinner@suse.de
- fix gconf-editor-desktop.patch (GenericName)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov 30 2005 gekker@suse.de
- Update to version 2.12.1
* Wed Sep  7 2005 sbrabec@suse.cz
- Updated to version 2.12.0 (GNOME 2.12).
* Tue Aug 23 2005 gekker@suse.de
- Update to version 2.11.92
* Wed Mar 16 2005 clahey@suse.de
- Degeneralize menu item.
* Wed Mar  9 2005 gekker@suse.de
- Update to version 2.10.0 (GNOME 2.10).
* Thu Mar  3 2005 gekker@suse.de
- Update to version 2.9.92
* Thu Feb 10 2005 gekker@suse.de
- Update to version 2.9.91
* Sat Feb  5 2005 gekker@suse.de
- Update to version 2.9.3
* Wed Jan 19 2005 gekker@suse.de
- Update to version 2.9.2
* Tue Dec 14 2004 hvogel@suse.de
- fix desktop file
* Mon Nov  1 2004 mmj@suse.de
- Locale rename no to nb
* Wed May  5 2004 sbrabec@suse.cz
- Updated to version 2.6.1 (GNOME 2.6).
* Sat Jan 10 2004 adrian@suse.de
- fix build as user
* Wed Oct  8 2003 sbrabec@suse.cz
- Updated to version 2.4.0 (GNOME 2.4).
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Wed Jul  2 2003 hhetter@suse.de
- updated to version 0.5.0
* Mon Jun 30 2003 sbrabec@suse.cz
- Updated to version 0.4.1.
- Updated neededforbuild.
* Sun Jun 29 2003 ro@suse.de
- added directory to filelist
- use find_lang
* Tue May 27 2003 ro@suse.de
- add other pixmaps to filelist
* Tue Jan 28 2003 hhetter@suse.de
- updated to 0.4.0
- kde data dir fix
* Thu Nov 28 2002 hhetter@suse.de
- updated to version 0.3.1 [GNOME 2.0.3]
* Mon Nov 11 2002 ro@suse.de
- changed neededforbuild <xf86 xdevel> to <x-devel-packages>
* Tue Oct 22 2002 hhetter@suse.de
- updated to version 0.3
- removed wrong docdir
* Fri Sep 27 2002 ro@suse.de
- Added alsa alsa-devel to neededforbuild (esound)
* Fri Jun  7 2002 hhetter@suse.de
- initial SuSE package
